ne_buffer_clear
Prev | neon API reference | Next

## Name

ne_buffer_clear, ne_buffer_grow, ne_buffer_altered — general purpose of group of functions

## Synopsis

    #include <ne_string.h>

`void ne_buffer_clear(` | ne_buffer *buf`)`;

`void ne_buffer_altered(` | ne_buffer *buf`)`;

`void ne_buffer_grow(` | ne_buffer *buf,
| size_t size`)`;

## Description

The `ne_buffer_clear` function sets the string stored in `buf` to be the empty string (`""`).

The `ne_buffer_altered` function must be used after the string stored in the buffer `buf` is modified by directly rather than using ne_buffer_append, ne_buffer_zappend or ne_buffer_concat.

The `ne_buffer_grow` function ensures that at least `size` bytes are allocated for the string; this can be used if a large amount of data is going to be appended to the buffer and may result in more efficient memory allocation.

Prev | Up | Next
ne_buffer_append | Home | ne_buffer_create